Bug 1127026 - hid-generic can't reset [NEEDINFO]
Summary: hid-generic can't reset
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 00:40 UTC by Vince Herried
Modified: 2014-12-10 14:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 14:59:12 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Vince Herried 2014-08-06 00:40:14 UTC
Description of problem: keyboard and mouse locks up frequently.

 search of  /var/log/messages
finds 
[ 3962.244793] logitech 0003:046D:C512.0164: can't reset device, 0000:00:1d.0-1.1.2/input1, status -71
[ 3962.247720] hid-generic 0003:0A5C:4502.0165: can't reset device, 0000:00:1d.0-1.1.1.4.1/input0, status -71
[ 3962.248936] usb 2-1.1: clear tt 1 (0220) error -71
[ 3962.249663] hid-generic 0003:0A5C:4503.0166: can't reset device, 0000:00:1d.0-1.1.1.4.2/input0, status -71
[ 3962.251794] usb 2-1.1.1: clear tt 4 (0250) error -71

repeats many many times.
.
.
.


Version-Release number of selected component (if applicable):
kernel 3.15.7-200.fc20.i686+PAE


How reproducible:  Happens every hour or two.

Steps to Reproduce:
1.  I don't know how to cause it to reproduce, other than
being busy on the  machine.
2.
3.

Actual results:  Keybaord and mouse lock up.


Expected results:  Not Keyboard and  mouse lock up.


Additional info:

---------
I've found /var/log/messages going back prior to 
 Linux 3.14.9-200.fc20.i686+PAE
with the problem can't reset messages.

---------
I'm able to  ssh into the box and do a shutdown -r while the  device is
acting up.

---------
I checked for any firmware updates on this keyboard/mouse and  found none.
Had been working well till maybe a month ago.  Took me some time to
decide it was not another application that was causing the crash.


---------
The kernel recognizes this device as ....
Aug  5 15:57:57 desk2 kernel: usb 2-1.1.2: new low-speed USB device number 6 using ehci-pci
Aug  5 15:57:57 desk2 kernel: usb 2-1.1.2: New USB device found, idVendor=046d, idProduct=c512
Aug  5 15:57:57 desk2 kernel: usb 2-1.1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug  5 15:57:57 desk2 kernel: usb 2-1.1.2: Product: 2.4GHz Cordless Desktop
Aug  5 15:57:57 desk2 kernel: usb 2-1.1.2: Manufacturer: Logitech
Aug  5 15:57:57 desk2 kernel: input: Logitech 2.4GHz Cordless Desktop as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1.2/2-1.1.2:1.0/0003:046D:
C512.0002/input/input5
Aug  5 15:57:57 desk2 kernel: logitech 0003:046D:C512.0002: input,hidraw1: USB HID v1.11 Keyboard [Logitech 2.4GHz Cordless Desktop] on usb-0000:00:1d.
0-1.1.2/input0
Aug  5 15:57:57 desk2 kernel: input: Logitech 2.4GHz Cordless Desktop as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1.2/2-1.1.2:1.1/0003:046D:
C512.0003/input/input6
Aug  5 15:57:57 desk2 kernel: logitech 0003:046D:C512.0003: input,hiddev0,hidraw2: USB HID v1.11 Mouse [Logitech 2.4GHz Cordless Desktop] on usb-0000:0
0:1d.0-1.1.2/input1



---------

# lsusb -v 
gives following information about the wireless keyboard / mouse.

Bus 002 Device 006: ID 046d:c512 Logitech, Inc. LX-700 Cordless Desktop Receiver
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x046d Logitech, Inc.
  idProduct          0xc512 LX-700 Cordless Desktop Receiver
  bcdDevice           55.03
  iManufacturer           1 Logitech
  iProduct                2 2.4GHz Cordless Desktop
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           59
    bNumInterfaces          2
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower               98mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      1 Keyboard
      iInterface              0 
        HID Device Descriptor:
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      63
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              10
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      2 Mouse
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength     182
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              10
Device Status:     0x0000
  (Bus Powered)

Comment 1 Justin M. Forbes 2014-11-13 15:59:04 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2014-12-10 14:59:12 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.